## ros-humble-nav2-behaviors 1.1.16

=== debian/changelog ===
ros-humble-nav2-behaviors (1.1.16-2bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Carlos Orduno <carlos.a.orduno@intel.com>  Mon, 04 Nov 2024 05:21:19 -0000
